This chapter covers some basic strategies for identifying your organizational needs, and how they could be met by CiviCRM. It doesn't go into detail about CiviCRM functionality or how CiviCRM stores data - you will find that in other chapters. Instead, we encourage you to first take a step back and think about your organisation.

Building internal support for a new Constituent Relationship Management (CRM) solution is a complex task can yield great rewards if done right.

Some organizations are comfortable appointing a team to do this internally while others rely on outside consultants. Following are our recommendations for how best to evaluate your organization’s needs and build internal support.

## Goal

To start with, take a minute to articulate the goal of adopting a CRM. For example:

> Investing in our organization’s database of 12,000 constituents will allow our team to better focus on raising funds and awareness to fulfill our mission now and in the future.

## Evaluation

Evaluate your organization's specific CRM needs by interviewing key stakeholders. This might include development, communications, marketing, events and programs staff as well as board members.

**Help them identify the constituents** they interact with on a routine basis and to articulate key challenges in managing constituent information (collecting, updating, sharing and using contact information).

**Identify specific inefficiencies** that could be addressed by a comprehensive CRM solution.

**Enumerate the resulting lost productivity**. For example:

* **Incoherent view of our constituents.**: *We are unable to see a holistic record of our constituents eg: who is a donor, volunteer and e-newsletter subscriber.*
* **Inability to include all prospective donors in all outreach efforts.**: *With fractured constituent lists we are unable to include all constituents in our efforts to raise funds, awareness and promote events.*
* **Inefficient use of staff.**: *Staff time is not used well when re-keying information originally received digitally, importing, exporting and de-duping records.*
* **Lack of communication.**: *We struggle to communicate consistently across departments about their various interactions with the same constituent.*
* **Data vulnerability.**: *When contact data is distributed across systems, it is a challenge to reliably protect our complete dataset against loss and we challenges ensuring data is secure when held in multiple systems.*

**Lastly, inventory current data sources** that could be consolidated
and shared across departments. For example:

| Owner  | Department | Count  | Constituents              | Description / filename  |
|--------|------------|--------|---------------------------|------------------------ |
| Kris   | Comms      | 245    | short-lead media contacts | comms campaigns / comms2010.doc |
| Katie  | Dev        | 79,000 | donors                    | donors active since 2005 / donors2005-2010.xls |
| Martha | Marketing  | 233    | corporate partners        | active partners / (Outlook) |
| Dan    | Marketing  | 134    | grassroots partners       | all grassroots partners / grasspartners05-10 (Google docs) |
| Carole | Volunteers | 3450   | volunteers                | all MLK day volunteers, skills / mlk_volunteers_10.xls |

This initial inventory will help you identify common sources, but when consolidating or migrating data you should plan for discovery of other existing sources in your organization along the way!

## Benefits

Enumerate the specific benefits of investing in a holistic CRM solution. For example:

* **Accessible to the entire staff** from inside and outside the office (with granular permissions from entry level to super-users).
* **Holistic record for each constituent** showing all their contact information and interactions with our organization.
* **Dynamic creation of constituent groups** allowing us to create groups of constituents based on criteria such as ‘all donors of over $100 in Massachusetts’ or ‘all donors whose gifts have amounted to major gifts this year’.
* **Dynamic creation of top donor and other reports**
* **Constituents' self-service creation and management** of their contact/contribution/subscription/activity records.

## Recommendations

In recommending your CRM solution enumerate and compare its features and costs to other market solutions. Share case studies of other organizations who use the recommended solution.

**Implementation costs**: Include a budget for implementation that contemplates:

* discovery and project management
* data clean up, consolidation and migration
* system configuration
* post implementation training and documentation

**Maintenance costs**: Include a budget for ongoing maintenance that contemplates:

* pro-active server maintenance
* incremental data backups
* operating system and software upgrades
* ongoing training
